# SgmlTag Class Reference
[HTML parser, Classes implemented in PHP's extension.]

Inheritance diagram for SgmlTag:
[legend]

List of all members.

## Public Member Functions

| setId ($id)
| getId ()

## Private Attributes

| $id = null

## Detailed Description

Definition at line 16 of file SgmlTag.class.php.

## Member Function Documentation

SgmlTag::getId | ( |  | ) |

Definition at line 30 of file SgmlTag.class.php.

SgmlTag::setId | ( | $ | id | ) |

Returns:
  SgmlTag

Definition at line 23 of file SgmlTag.class.php.

References $id.

Referenced by HtmlTokenizer::setupTag().

## Member Data Documentation

SgmlTag::$id = null`[private]`

Definition at line 18 of file SgmlTag.class.php.

Referenced by setId().

The documentation for this class was generated from the following file:

- main/Markup/Html/SgmlTag.class.php